
Katello - Bug #6651

Content: Should not be able to try and sync a repo with no repourl

07/16/2014 03:41 PM - Partha Aji

Status: Closed   

Priority: Normal   

Assignee: Partha Aji   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1094986 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/444
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1094986

Description of problem:

User can create a product repo that contains no repourl.  When user attempts to save this, save is successful, and subsequent

attempts to sync produce an error.  We should either disallow creation of repo w/o url, or disable sync on such repos.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140430.4

How reproducible:

Steps to Reproduce:

1.  Create a product, "testproduct"

2.  Attempt to create a repo within "testproduct", called "testrepo"  do NOT provide a repourl

3.  Attempt to sync.

Actual results:

Error in UI

Expected results:

We shouldn't let users save incomplete repos OR

We should disable sync button on repos that are obviously incomplete.

Additional info:

Associated revisions

Revision a06bb953 - 07/24/2014 12:51 PM - Partha Aji

Fixes #6651,bz1094986 - Disable Sync without repo url

Added code not allow syncing on repositories without a URL.

Revision e5132143 - 07/24/2014 02:03 PM - Partha Aji

Merge pull request #4442 from parthaa/disable-sync

Fixes #6651,bz1094986 - Disable Sync without repo url

History

#1 - 07/16/2014 03:44 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello/pull/4442 added

- Pull request deleted ()
#2 - 07/22/2014 02:02 PM - Eric Helms

- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 07/24/2014 03:01 PM - Partha Aji

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|a06bb95372c64468af5101b3b3d67ec2630b283b.

#4 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
